> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alerty.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a User



## OpenAPI

````yaml GET /auth/user
openapi: 3.1.0
info:
  title: Lumos API
  version: 1.0.0
  description: Lumos RESTful API
  x-logo:
    url: >-
      https://zorp.zeetco.com/static/media/mark-white.8c3b78e3c878db1859b6319c98dc38b6.svg
    altText: Zeet Logo
  contact:
    email: support@zeet.co
servers:
  - url: https://api.alerty.ai
security: []
paths:
  /auth/user:
    get:
      summary: Retrieve a User
      operationId: getUser
      responses:
        '200':
          description: Successful user retrieval
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  schemas:
    User:
      allOf:
        - $ref: '#/components/schemas/BasicUser'
        - type: object
          properties:
            id:
              type: string
              description: the external user id
              x-go-name: ID
            organization:
              $ref: '#/components/schemas/Organization'
            belongsToMultipleOrganizations:
              type: boolean
              description: flag that means the user belongs to more than 1 organization
          required:
            - id
            - organization
            - belongsToMultipleOrganizations
    BasicUser:
      type: object
      properties:
        id:
          type: string
          description: the user workos ID
          x-go-name: ID
        email:
          type: string
          description: the user email address
        firstName:
          type: string
          description: the user first name
        lastName:
          type: string
          description: the user last name
        emailVerified:
          type: boolean
          description: flags if the user email was already verified
        profilePictureURL:
          type: string
          description: the user profile picture URL
      required:
        - id
        - email
        - firstName
        - lastName
        - emailVerified
        - profilePictureURL
    Organization:
      allOf:
        - type: object
          properties:
            id:
              type: string
              description: the external organization id
              x-go-name: ID
            name:
              type: string
              description: the organization name
            members:
              type: array
              items:
                $ref: '#/components/schemas/OrganizationMember'
          required:
            - id
            - name
            - members
    ApiError:
      type: object
      properties:
        code:
          type: integer
          description: a custom Lumos error code
          format: uint64
          example: 1400
        field:
          type: string
          description: the field that this error is associated with, if applicable
          example: name
        description:
          type: string
          description: a description for this error
          example: A descriptive error message
      required:
        - description
    OrganizationMember:
      type: object
      allOf:
        - $ref: '#/components/schemas/BasicUser'
        - properties:
            role:
              type: string
              description: the member role
            status:
              type: string
              description: the member last name
              enum:
                - active
                - pending
              x-enumNames:
                - ActiveMember
                - PendingMember
          required:
            - status
            - role
  responses:
    Forbidden:
      description: The request is forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    ServerError:
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: __lumos_session

````